libzypp 17.37.10

colors.h File Reference
`#include <iostream>`
`#include <string>`
`#include "ansi.h"`

Go to the source code of this file.

## Classes
struct | ztui::ansi::ColorTraits< ztui::ColorContext >
struct | ztui::CCString< _ctxt >

## Namespaces
namespace | ztui
namespace | ztui::ansi

## Typedefs
using | ztui::DEFAULTString = CCString<ColorContext::DEFAULT>
using | ztui::MSG_STATUSString = CCString<ColorContext::MSG_STATUS>
using | ztui::MSG_ERRORString = CCString<ColorContext::MSG_ERROR>
using | ztui::MSG_WARNINGString = CCString<ColorContext::MSG_WARNING>
using | ztui::POSITIVEString = CCString<ColorContext::POSITIVE>
using | ztui::CHANGEString = CCString<ColorContext::CHANGE>
using | ztui::NEGATIVEString = CCString<ColorContext::NEGATIVE>
using | ztui::HIGHLIGHTString = CCString<ColorContext::HIGHLIGHT>
using | ztui::LOWLIGHTString = CCString<ColorContext::LOWLIGHT>

## Enumerations
enum class | ztui::ColorContext { ztui::DEFAULT , ztui::RESULT , ztui::MSG_STATUS , ztui::MSG_ERROR , ztui::MSG_WARNING , ztui::PROMPT , ztui::PROMPT_OPTION , ztui::POSITIVE , ztui::CHANGE , ztui::NEGATIVE , ztui::HIGHLIGHT , ztui::LOWLIGHT , ztui::OSDEBUG }

## Functions
bool | ztui::do_ttyout ()
| True unless output is a dumb tty or file.
bool | ztui::do_colors ()
| If output is done in colors (depends on config)
template<ColorContext _ctxt>
ansi::ColorStream & | ztui::operator<< (ansi::ColorStream &cstr_r, const CCString< _ctxt > &cstring_r)